Problema con el squid de pfsense 1.2



  • El squid bloquea de alguna manera los java scripts de mi aplicación
    http://mapas.guanajuato.gob.mx/app3
    Esta es una aplicación web de mapas que usa ajax

    Esto es solamente con firefox 2.0.0.12 y 2.0.0.13 tanto en linux como en windows.

    Funciona normalmente con ie, opera y safari.

    esta es la captura que obtuve con wireshark:
    –------------------------------------------------------------------------
    HTTP/1.0 411 Length Required

    Server: squid/2.6.STABLE18

    Date: Fri, 28 Mar 2008 15:16:40 GMT

    Content-Type: text/html

    Content-Length: 1868

    Expires: Fri, 28 Mar 2008 15:16:40 GMT

    X-Squid-Error: ERR_INVALID_REQ 0

    X-Cache: MISS from firewall.iplaneg

    X-Cache-Lookup: NONE from firewall.iplaneg:3128

    Connection: close

    <title>ERROR: El URL solicitado no se ha podido conseguir</title>

    ERROR

    El URL solicitado no se ha podido conseguir


    Mientras se intentaba procesar la petición:

    
    POST /app3/incphp/xajax/x_search.php?&action=optionlist HTTP/1.1
    Host: mapas.guanajuato.gob.mx
    
    User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-AR; rv:1.9b4) Gecko/2008030714 Firefox/3.0b4
    
    Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
    
    Accept-Language: es-ar,es;q=0.8,en-us;q=0.5,en;q=0.3
    
    Accept-Encoding: gzip,deflate
    
    Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
    
    Keep-Alive: 300
    
    Connection: keep-alive
    
    X-Requested-With: XMLHttpRequest
    
    Referer: http://mapas.guanajuato.gob.mx/app3/
    
    Cookie: PHPSESSID=57a9l25rqhkas63ocfbr1r4je4
    
    Pragma: no-cache
    
    Cache-Control: no-cache
    
    

    Ha ocurrido el siguiente problema:

    • Petición no válida.
      –-----------------------------------------------------------------
      Existe alguna manera de deshabilitar el squid en pfsense 1.2?

      Muchas gracias.



  • Para detener Squid
      Status: Services [Stop Service]

    Para desmontarlo
      System: Packages: Installed Packages [Remove this Package]

    Saludos.

    Miguel Ángel Araujo



  • Probé con Firefox 2.0.0.13 y con Epiphany 2.20.1 en Ubuntu 7.10 y funciona bien.

    Por cierto, ¡felicidades!, muy buenos mapas.

    Saludos.

    Miguel Ángel Araujo


Log in to reply